Skip to main content
Resource Center/Hardware/Host Operations

AttachNicToBonding

AttachNicToBonding

PUT/zstack/v1/hosts/bondings/{uuid}/attach

Operation ID

AttachNicToBonding

Since

5.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • slaveUuids
    ListRequired

    The slave NIC UUIDs.

  • type
    String

    Optional. The bond type.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.